package support.b;

import javax.ejb.EJB;

import org.apache.log4j.Logger;
import org.jboss.ejb3.annotation.Service;

import support.a.EJBTestALocal;

/**
 * @author aaos
 *
 */
@Service(objectName = "tutorial:service=EJBTestB")
public class EJBTestBService implements EJBTestBRemote, EJBTestBManagement {

    // @EJB(mappedName="EJBDependency")
    @EJB(mappedName="EJBTestAService/local")
	private EJBTestALocal testA;
	
	private Logger log = Logger.getLogger(getClass());

	public String sayHello()
    {
		return testA.sayHello();
	}
	
	public void start()
    {
		log.info("EJBTestB starting...");
	}
	
	public void stop()
    {
		log.info("EJBTestB stopping...");
	}
}
