package support.client;

import java.util.Hashtable;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import support.b.EJBTestBRemote;

public class HelloClient
{

    public static void main(String[] args) throws Exception
    {
        InitialContext ctx = getInitialContext();

        Object obj = ctx.lookup("EJBTestBService/remote");

        EJBTestBRemote ejbObject = (EJBTestBRemote) obj;
        System.out.println(ejbObject.sayHello());

    }

    protected static InitialContext getInitialContext() throws NamingException
    {
        Hashtable<String, String> env = new Hashtable<String, String>();
        env.put("java.naming.provider.url", "localhost:1099");
        env.put("java.naming.factory.initial", "org.jnp.interfaces.NamingContextFactory");

        return new InitialContext(env);
    }

}