package support.a;

import org.apache.log4j.Logger;
import org.jboss.ejb3.annotation.Service;

@Service(objectName = "tutorial:service=EJBTestA")
public class EJBTestAService implements EJBTestALocal, EJBTestAManagement {

	private Logger log = Logger.getLogger(getClass());
	
    public String sayHello()
    {
		return "Hello from A";
	}
	
	public void start()
    {
		log.info("EJBTestA starting...");
	}
	
	public void stop()
    {
		log.info("EJBTestA stopping...");
	}

}
